%global pypi_name pynmeagps

Name:          python-%{pypi_name}
Version:       1.0.50
Release:       %autorelease
Summary:       Python library for NMEA 0183 GNSS/GPS protocol
License:       BSD-3-Clause
URL:           https://github.com/semuconsulting/%{pypi_name}
Source0:       %url/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: python3-setuptools

%global _description %{expand:
Python library for parsing and generating NMEA 0183 GNSS/GPS protocol messages.
}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
sed -i 's/75.0/74.0/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
%autochangelog
